<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jsp/jstl/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="pageTitleText">Conceptos</ui:define>

    <ui:define name="contentPart">

        <h:form>
            <h:outputText 
                value="Nómina/Configuración/Conceptos: " 
                style="font-weight: bold"/>
            
            <h:outputText 
                value="#{concepto.conceptoSelected.nombreYClave}" 
                style="font-weight: bold"/>
            
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            
            <h:panelGrid  
                columns="3" 
                cellpadding="10px" 
               style="width:90%; text-align:left; padding-left: 90px"
                columnClasses="centered2,centered,centered2,centered,centered2,centered" >
                
                <f:facet name="header">
                     Características Generales
                </f:facet>

                <p:row>
                    <h:outputLabel 
                        for="estatus" 
                        value="Estatus: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="estatus" 
                        value="#{concepto.conceptoSelected.estatus}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="prioridadCalculo" 
                        value="Prioridad de Cálculo: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="prioridadCalculo" 
                        value="#{concepto.conceptoSelected.prioridadCalculo}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="conceptoEs" 
                        value="Es concepto: "
                        style="font-weight:bold"/>
               
                    <h:outputText 
                        id="conceptoEs" 
                        value="#{concepto.conceptoSelected.concepto}"/>
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="tipoNomina" 
                        value="Tipo de Nómina: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="tipoNomina"  
                        value="#{concepto.conceptoSelected.rhNomnCatTipoNomina.strTipoNomina}"/>
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="tipoCalculo" 
                        value="Tipo de Cálculo: "
                        style="font-weight:bold"/>
               
                    <h:outputText 
                        id="tipoCalculo" 
                        value="#{concepto.conceptoSelected.rhNomTipoCalculo.tipoCalculo}"/>
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="tipoClasificacion" 
                        value="Clasificación: "
                        style="font-weight:bold"/>
               
                    <h:outputText 
                        id="tipoClasificacion" 
                        value="#{concepto.conceptoSelected.rhNomnCatClasificadoresCon.strDescripcionConcepto}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="tipoConcepto" 
                        value="Tipo de Concepto: "
                        style="font-weight:bold"/>
               
                    <h:outputText 
                        id="tipoConcepto" 
                        value="#{concepto.conceptoSelected.rhNomTipoConcepto.tipoConcepto}"/>
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="frecuenciaPago" 
                        value="Frecuencia de Pago: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="frecuenciaPago" 
                        value="#{concepto.conceptoSelected.rhNomnCatFrecuenciaPagoTO.frecuenciaPago}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="fundamentoLegal" 
                        value="Fundamento Legal: "
                        style="font-weight:bold"/>
               
                    <h:outputText 
                        id="fundamentoLegal" 
                        value="#{concepto.conceptoSelected.articulo}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="partida" 
                        value="Partida: "
                        style="font-weight:bold"/>
              
                    <h:outputText 
                        id="partida" 
                        value="#{concepto.conceptoSelected.rhNomPartidasPresup.clavePresupuestal}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="aplicaISN" 
                        value="Aplica ISN: "
                        style="font-weight:bold"/>
              
                    <h:outputText 
                        id="aplicaISN" 
                        value="#{concepto.conceptoSelected.aplicaISN}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="aplicaRetroactividad" 
                        value="Aplica Retroactividad: "
                        style="font-weight:bold"/>
              
                    <h:outputText 
                        id="aplicaRetroactividad" 
                        value="#{concepto.conceptoSelected.aplicaRetroactividad}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="gravadoExento" 
                        value="Gravado/Exento: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="gravadoExento" 
                        value="#{concepto.conceptoSelected.gravado}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="topeExension" 
                        value="Tope de Exención: "
                        style="font-weight:bold"/>
                    
                    <c:if test="#{concepto.conceptoSelected.topeExencion=='D'}" >
                        <h:outputLabel 
                            for="topeExensionD" 
                            value="(Días)"/>
                    </c:if>
                    
                    <c:if test="#{concepto.conceptoSelected.topeExencion=='P'}" >
                        <h:outputLabel 
                            for="topeExensionP" 
                            value="(Porcentaje)"/>
                    </c:if>
               
                    <c:if test="#{concepto.conceptoSelected.topeExencion=='D'}" >
                        <h:outputText 
                            id="topeExensionD" 
                            value="#{concepto.conceptoSelected.exencionDias}"/>
                    </c:if>
                    
                    <c:if test="#{concepto.conceptoSelected.topeExencion=='P'}" >
                        <h:outputText 
                            id="topeExensionP" 
                            value="#{concepto.conceptoSelected.exencionPorcentaje}"/>
                    </c:if>
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="conceptoSAT" 
                        value="Concepto SAT: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="conceptoSAT" 
                        value="#{concepto.conceptoSelected.rhNomnCatConceptosSatTO.conceptoSat}"/>
                </p:row>
                                
                <p:row>
                    <h:outputLabel 
                        for="utilizaFormula" 
                        value="Utiliza Fórmula: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="utilizaFormula" 
                        value="#{concepto.conceptoSelected.rhNomFormula.idFormula>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="cuentaContable" 
                        value="Cuenta Contable: "
                        style="font-weight:bold"/>
                
                    <h:outputText 
                        id="cuentaContable" 
                        value="#{concepto.conceptoSelected.rhNomnCatCuentasContablesTO.cuentaContable}"/>
                </p:row>
                
            </h:panelGrid>
            
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>

            <h:panelGrid  
                columns="6" 
                cellpadding="10px" 
               style="width:90%; text-align:left; padding-left: 90px"
                columnClasses="centered2,centered,centered2,centered,centered2,centered" >
                
                <f:facet name="header">
                     Periodicidad
                </f:facet>
                
                <p:row>
                    <h:outputLabel 
                        for="q1" 
                        value="Quincena 1: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q1" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena1>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q2" 
                        value="Quincena 2: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q2" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena2>0?'SI':'NO'}"/>
                </p:row>     
                
                <p:row>
                    <h:outputLabel 
                        for="q3" 
                        value="Quincena 3: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q3" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena3>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q4" 
                        value="Quincena 4: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q4" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena4>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q5" 
                        value="Quincena 5: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q5" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena5>0?'SI':'NO'}"/>
                </p:row>       
                
                <p:row>
                    <h:outputLabel 
                        for="q6" 
                        value="Quincena 6: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q6" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena6>0?'SI':'NO'}"/>
                </p:row>                
                
                <p:row>
                    <h:outputLabel 
                        for="q7" 
                        value="Quincena 7: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q7" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena7>0?'SI':'NO'}"/>
                </p:row>                
                
                <p:row>
                    <h:outputLabel 
                        for="q8" 
                        value="Quincena 8: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q8" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena8>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q9" 
                        value="Quincena 9: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q9" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena9>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q10" 
                        value="Quincena 10: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q10" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena10>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q11" 
                        value="Quincena 11: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q11" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena11>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q12" 
                        value="Quincena 12: "
                         style="font-weight:bold"/>
              
                    
                    <h:outputText 
                        id="q12" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena12>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q13" 
                        value="Quincena 13: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q13" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena13>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q14" 
                        value="Quincena 14: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q14" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena14>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q15" 
                        value="Quincena 15: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q15" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena15>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q16" 
                        value="Quincena 16: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q16" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena16>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q17" 
                        value="Quincena 17: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q17" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena17>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q18" 
                        value="Quincena 18: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q18" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena18>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q19" 
                        value="Quincena 19: "
                         style="font-weight:bold"/>
              
                    <h:outputText 
                        id="q19" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena19>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q20" 
                        value="Quincena 20: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q20" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena20>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q21" 
                        value="Quincena 21: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q21" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena21>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q22" 
                        value="Quincena 22: "
                         style="font-weight:bold"/>
               
                    <h:outputText 
                        id="q22" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena22>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q23" 
                        value="Quincena 23: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q23" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena23>0?'SI':'NO'}"/>
                </p:row>
                
                <p:row>
                    <h:outputLabel 
                        for="q24" 
                        value="Quincena 24: "
                         style="font-weight:bold"/>
                
                    <h:outputText 
                        id="q24" 
                        value="#{concepto.conceptoSelected.rhNomnPeriodicidadConcepto.quincena24>0?'SI':'NO'}"/>
                </p:row>                
            </h:panelGrid>
            
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            
            <h:panelGrid  
                columns="1" 
                cellpadding="10px" 
               style="width:90%; text-align:left; padding-left: 90px"
               columnClasses="centered" >
                
                <f:facet name="header">
                     Fórmula
                </f:facet>
                
                <p:row>
                    <h:outputText 
                        id="formula" 
                        value="#{concepto.conceptoSelected.rhNomFormula.formula}"/>
                </p:row>
            </h:panelGrid>
            
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            
            <br/>
            <div align="center">
            <p:commandButton 
                value="Cerrar"
                type="button"
                onclick="location = 'ListConceptos.jsf';"/>
            </div>
        </h:form>
    </ui:define>
</ui:composition>